server:
  port: 9090

# 数据库配置
# MySQL原始配置
#spring:
#  datasource:
#    driver-class-name: com.mysql.cj.jdbc.Driver
#    username: root
#    password: 123456
#    url: jdbc:mysql://localhost:3306/psychologicaltreatment?useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2b8&allowPublicKeyRetrieval=true

# SQLite
spring:
  datasource:
    driver-class-name: org.sqlite.JDBC
    url: jdbc:sqlite:psychologicaltreatment.db
    hikari:
      maximum-pool-size: 1
      minimum-idle: 1
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB

# 配置mybatis实体和xml映射
mybatis:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true
  mapper-locations: classpath:mapper/*.xml

fileBaseUrl: http://localhost:${server.port}

# 通义千问API配置
dashscope:
  api-key: sk-0b1b6c3287364c2d8b8e1f656bfafece
  model: qwen-turbo
